org.keycloak.authentication.requiredactions

## Class VerifyUserProfile

- java.lang.Object
- - org.keycloak.authentication.requiredactions.UpdateProfile
  - - org.keycloak.authentication.requiredactions.VerifyUserProfile

- All Implemented Interfaces:
    DisplayTypeRequiredActionFactory, RequiredActionFactory, RequiredActionProvider, Provider, ProviderFactory<RequiredActionProvider>

      public class VerifyUserProfile
      extends UpdateProfile

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyUserProfile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequiredActionProvider` | `create(KeycloakSession session)`
    `void` | `evaluateTriggers(RequiredActionContext context)` Called every time a user authenticates.
    `String` | `getDisplayText()` Display text used in admin console to reference this required action
    `String` | `getId()`
    `protected UserModel.RequiredAction` | `getResponseAction()`
    `InitiatedActionSupport` | `initiatedActionSupport()` Determines what type of support is provided for application-initiated actions.
    `void` | `requiredActionChallenge(RequiredActionContext context)` If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser.

    - ### Methods inherited from class org.keycloak.authentication.requiredactions.UpdateProfile

      `close, createDisplay, createResponse, init, postInit, processAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionProvider

      `getMaxAuthAge, initiatedActionCanceled`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionFactory

      `isOneTimeAction`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### VerifyUserProfile

          public VerifyUserProfile()

  - ### Method Detail

    - #### initiatedActionSupport

          public InitiatedActionSupport initiatedActionSupport()

      Description copied from interface: `RequiredActionProvider`
      Determines what type of support is provided for application-initiated actions.
      Specified by:
        `initiatedActionSupport` in interface `RequiredActionProvider`
      Overrides:
        `initiatedActionSupport` in class `UpdateProfile`
      Returns:
        InititatedActionsSupport

    - #### getResponseAction

          protected UserModel.RequiredAction getResponseAction()

      Overrides:
        `getResponseAction` in class `UpdateProfile`

    - #### evaluateTriggers

          public void evaluateTriggers(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      Called every time a user authenticates. This checks to see if this required action should be triggered. The implementation of this method is responsible for setting the required action on the UserModel. For example, the UpdatePassword required actions checks the password policies to see if the password has expired.
      Specified by:
        `evaluateTriggers` in interface `RequiredActionProvider`
      Overrides:
        `evaluateTriggers` in class `UpdateProfile`

    - #### requiredActionChallenge

          public void requiredActionChallenge(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser. Return null if no action should be done.
      Specified by:
        `requiredActionChallenge` in interface `RequiredActionProvider`
      Overrides:
        `requiredActionChallenge` in class `UpdateProfile`

    - #### create

          public RequiredActionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<RequiredActionProvider>`
      Overrides:
        `create` in class `UpdateProfile`

    - #### getDisplayText

          public String getDisplayText()

      Description copied from interface: `RequiredActionFactory`
      Display text used in admin console to reference this required action
      Specified by:
        `getDisplayText` in interface `RequiredActionFactory`
      Overrides:
        `getDisplayText` in class `UpdateProfile`
      Returns:

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<RequiredActionProvider>`
      Overrides:
        `getId` in class `UpdateProfile`

Copyright © 2021 JBoss by Red Hat. All rights reserved.